org.apache.solr.client.solrj.impl

## Class BinaryRequestWriter

- java.lang.Object
- - org.apache.solr.client.solrj.request.RequestWriter
  - - org.apache.solr.client.solrj.impl.BinaryRequestWriter

-     public class BinaryRequestWriter
      extends RequestWriter

  A RequestWriter which writes requests in the javabin format
  Since:
    solr 1.4
  See Also:
    `RequestWriter`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.RequestWriter

      `RequestWriter.LazyContentStream`

  - ### Field Summary

    - ### Fields inherited from class org.apache.solr.client.solrj.request.RequestWriter

      `UTF_8`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryRequestWriter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentStream` | `getContentStream(UpdateRequest request)`
    `Collection<ContentStream>` | `getContentStreams(SolrRequest req)`
    `String` | `getUpdateContentType()`
    `void` | `write(SolrRequest request, OutputStream os)`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.RequestWriter

      `getPath, isNull, isNull`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryRequestWriter

          public BinaryRequestWriter()

  - ### Method Detail

    - #### getContentStreams

          public Collection<ContentStream> getContentStreams(SolrRequest req)
                                                      throws IOException

      Overrides:
        `getContentStreams` in class `RequestWriter`
      Throws:
        `IOException`

    - #### getUpdateContentType

          public String getUpdateContentType()

      Overrides:
        `getUpdateContentType` in class `RequestWriter`

    - #### getContentStream

          public ContentStream getContentStream(UpdateRequest request)
                                         throws IOException

      Overrides:
        `getContentStream` in class `RequestWriter`
      Throws:
        `IOException`

    - #### write

          public void write(SolrRequest request,
                            OutputStream os)
                     throws IOException

      Overrides:
        `write` in class `RequestWriter`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.